module App.Options ( optparser, Options (..) ) where

import Options.Applicative

data Options = Options { optRepeatTime :: Int
                       , optVerbose    :: Bool
                       , optEmail      :: String
                       , optPassword   :: String }

optparser :: Parser Options
optparser = let rept  = long "repeat"
                     <> short 'r'
                     <> value 4
                     <> metavar "X"
                     <> help "Login in each X minutes"                  

                verb  = long "verbose"
                     <> short 'v'
                     <> help "Show more information while running"

                email = long "email"
                     <> short 'e'
                     <> help "Email to use for login"

                pass  = long "password"
                     <> short 'p'
                     <> value ""
                     <> help "Password to use for login"

            in Options

                <$> option auto rept
                <*> switch      verb
                <*> strOption   email
                <*> strOption   pass 

